
D4Science Infrastructure - Incident #11800

BlueBRIDGE catalogue is not responding well

May 18, 2018 09:49 AM - Massimiliano Assante

Status: Closed Start date: May 18, 2018

Priority: High Due date: May 18, 2018

Assignee: Francesco Mangiacrapa % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

Since yesterday I noticed that the BB Catalogue has some issues when loading, the behaviour is not deterministic. After a while it

suddenly starts to work then down again.

I'm attaching some screenshot of the error of this morning

History

#1 - May 18, 2018 10:45 AM - Francesco Mangiacrapa

- Status changed from New to In Progress

- Assignee changed from Francesco Mangiacrapa to Roberto Cirillo

Checking the logs it seems that the issue is connected to IS-queries. In fact, when in init phase the responses to IS-queries performed by

DataCatalogue portlet are fast, the Catalogue works fine.

Instead when the queries (to get the resources: CkanDatabase, CkanPortlet and so on) are slow, the Catalogue does not work fine.

However, I was not able to replicate the error but it should occur just in init phase of DataCatalogue Portlet (for a certain scope at first access)

because the query results should be cached (to the successive ones).

Please, @massimiliano.assante@isti.cnr.it, Can you report here when (the time) the error occurred? We could check if an exception is printed..

I'm going to assign this ticket to Roberto. Please, could you check IS state first thing and so on...?

#2 - May 18, 2018 10:52 AM - Francesco Mangiacrapa

Another clarification... contacting the BB Catalogue directly by the CKAN URL (https://ckan-bb1.d4science.org/) it responds within 1-2 seconds

without problems.  

#3 - May 18, 2018 10:57 AM - Massimiliano Assante

9.41 AM this morning, yesterday 17.30 circa

#4 - May 18, 2018 11:03 AM - Roberto Cirillo

Please @francesco.mangiacrapa@isti.cnr.it could you provide the logs that you are checking?

@massimiliano.assante@isti.cnr.it in which scope have you noticed this behavior? 

#5 - May 18, 2018 11:23 AM - Francesco Mangiacrapa

Roberto Cirillo wrote:

Please @francesco.mangiacrapa@isti.cnr.it could you provide the logs that you are checking? 

 I was check the production logs of infra-gateway and infra-gateway1.

#6 - May 18, 2018 11:48 AM - Roberto Cirillo

Francesco Mangiacrapa wrote:

Roberto Cirillo wrote:

Please @francesco.mangiacrapa@isti.cnr.it could you provide the logs that you are checking? 

 I was check the production logs of infra-gateway and infra-gateway1.
 I see a lot of exceptions but these exceptions seems to be not related to IS-Collector service

from infra-gateway:

07:45:27,078 INFO  [http-bio-9090-exec-257][GcubeCkanDataCatalogServiceImpl:111] Builded URI to CKAN Connector

: https://ckan-bb1.d4science.org:443/ckan-connector/gcube/service/connect?gcube-token=3f4aa87a-2095-45f9-b93d-

d70b9f7c011

9-843339462&listOfVres=bluebridgeproject|member

2018-05-18 07:45:27,120 INFO  server.GcubeCkanDataCatalogServiceImpl [http-bio-9090-exec-291,isManageProductEn

abled:542] %07:45:27,120 INFO  [http-bio-9090-exec-291][GcubeCkanDataCatalogServiceImpl:542] Checking if the m

anage produ

ct button needs to be shown or not for the current context

2018-05-18 07:45:27,121 INFO  server.GcubeCkanDataCatalogServiceImpl [http-bio-9090-exec-291,isManageProductEn

abled:552] %07:45:27,121 INFO  [http-bio-9090-exec-291][GcubeCkanDataCatalogServiceImpl:552] Will manage produ

ct be enabl

ed for this user? false

2018-05-18 07:45:27,715 INFO  server.GcubeCkanDataCatalogServiceImpl [http-bio-9090-exec-299,getMyRole:259] %0

7:45:27,715 INFO  [http-bio-9090-exec-299][GcubeCkanDataCatalogServiceImpl:259] Set role MEMBER into session f

or user mas

similiano.assante

2018-05-18 07:45:27,970 INFO  o.g.d.c.s.DataCatalogueImpl [Thread-191874,assignRolesOtherOrganization:2844][PO

RTAL] 3781651566 [Thread-191874] INFO  org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - Requ

est for ass

igning other roles for user massimiliano.assante, whose current role is MEMBER and organization knowledgebridg

ing

2018-05-18 07:45:27,991 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getOrganizationByName:2665]eu.trentor

ise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://cka

n-bb1.d4sci

ence.org/api/3/action/organization_show?id=iccat_bft-e&include_datasets=false  CkanResponse{error=Ckan error o

f type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4science.or

g/api/3/act

ion/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781651587 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F

ailed to retrieve the organization with nameiccat_bft-e

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/organization_show?id=iccat_bft-e&include_datasets=false  CkanRespon

se{error=Ck

an error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4

science.org/api/3/action/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.o

rg, ckanTok

en=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

2018-05-18 07:45:28,003 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getGroupByName:2826]eu.trentorise.ope

ndata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://ckan-bb1.d

4science.or

g/api/3/action/group_show?id=iccat-bft-e&include_datasets=false  CkanResponse{error=Ckan error of type: Not Fo

und Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4science.org/api/3/action

/help_show?

name=group_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071) ~[jackan-0.4.2.jar:0.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getGroupByName(DataCatalogueImpl.j

ava:2824) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:120) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781651599 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F
ailed to retrieve the group with nameiccat_bft-e

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/group_show?id=iccat-bft-e&include_datasets=false  CkanResponse{erro

r=Ckan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb

1.d4science.org/api/3/action/help_show?name=group_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org,

 ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071) ~[jackan-0.4.2.jar:0.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getGroupByName(DataCatalogueImpl.j

ava:2824) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:120) [AddUserToOrganizationThread.class:na]

2018-05-18 07:45:28,020 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getOrganizationByName:2665]eu.trentor

ise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://cka

n-bb1.d4science.org/api/3/action/organization_show?id=bluecommons&include_datasets=false  CkanResponse{error=C

kan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d

4science.org/api/3/action/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.

org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781651616 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F

ailed to retrieve the organization with namebluecommons

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/organization_show?id=bluecommons&include_datasets=false  CkanRespon

se{error=Ckan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://

ckan-bb1.d4science.org/api/3/action/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.

d4science.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

2018-05-18 07:45:28,032 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getGroupByName:2826]eu.trentorise.ope

ndata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://ckan-bb1.d

4science.org/api/3/action/group_show?id=bluecommons&include_datasets=false  CkanResponse{error=Ckan error of t

ype: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4science.org/a

pi/3/action/help_show?name=group_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071) ~[jackan-0.4.2.jar:0.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getGroupByName(DataCatalogueImpl.j

ava:2824) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:120) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781651628 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F

ailed to retrieve the group with namebluecommons

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/group_show?id=bluecommons&include_datasets=false  CkanResponse{erro

r=Ckan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb

1.d4science.org/api/3/action/help_show?name=group_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org,

 ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

       at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071) ~[jackan-0.4.2.jar:0.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getGroupByName(DataCatalogueImpl.j

ava:2824) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:120) [AddUserToOrganizationThread.class:na]

2018-05-18 07:45:28,048 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getOrganizationByName:2665]eu.trentor

ise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://cka
n-bb1.d4science.org/api/3/action/organization_show?id=parthenos&include_datasets=false  CkanResponse{error=Cka

n error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4s

cience.org/api/3/action/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.or

g, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781651644 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F

ailed to retrieve the organization with nameparthenos

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/organization_show?id=parthenos&include_datasets=false  CkanResponse

{error=Ckan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ck

an-bb1.d4science.org/api/3/action/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.d4

science.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

2018-05-18 07:45:28,064 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getGroupByName:2826]eu.trentorise.ope

ndata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://ckan-bb1.d

4science.org/api/3/action/group_show?id=parthenos&include_datasets=false  CkanResponse{error=Ckan error of typ

e: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4science.org/api

/3/action/help_show?name=group_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071) ~[jackan-0.4.2.jar:0.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getGroupByName(DataCatalogueImpl.j

ava:2824) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:120) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781651660 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F

ailed to retrieve the group with nameparthenos

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/group_show?id=parthenos&include_datasets=false  CkanResponse{error=

Ckan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.

d4science.org/api/3/action/help_show?name=group_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org, c

kanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071) ~[jackan-0.4.2.jar:0.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getGroupByName(DataCatalogueImpl.j

ava:2824) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

2018-05-18 07:45:28,075 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getOrganizationByName:2665]eu.trentor

ise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://cka

n-bb1.d4science.org/api/3/action/organization_show?id=gcube&include_datasets=false  CkanResponse{error=Ckan er

ror of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4scien

ce.org/api/3/action/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org, c

kanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781651671 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F

ailed to retrieve the organization with namegcube

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/organization_show?id=gcube&include_datasets=false  CkanResponse{err

or=Ckan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-b
b1.d4science.org/api/3/action/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.d4scie

nce.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

2018-05-18 07:45:28,086 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getGroupByName:2826]eu.trentorise.ope

ndata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://ckan-bb1.d

4science.org/api/3/action/group_show?id=gcube&include_datasets=false  CkanResponse{error=Ckan error of type: N

ot Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4science.org/api/3/a

ction/help_show?name=group_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071) ~[jackan-0.4.2.jar:0.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getGroupByName(DataCatalogueImpl.j

ava:2824) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:120) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781651682 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F

ailed to retrieve the group with namegcube

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/group_show?id=gcube&include_datasets=false  CkanResponse{error=Ckan

 error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4sc

ience.org/api/3/action/help_show?name=group_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org, ckanT

oken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071) ~[jackan-0.4.2.jar:0.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getGroupByName(DataCatalogueImpl.j

ava:2824) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:120) [AddUserToOrganizationThread.class:na]

2018-05-18 07:45:28,873 INFO  o.g.d.c.s.DataCatalogueImpl [Thread-191874,assignRolesOtherOrganization:2844][PO

RTAL] 3781652469 [Thread-191874] INFO  org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - Requ

est for assigning other roles for user massimiliano.assante, whose current role is MEMBER and organization tab

ulardatalab

2018-05-18 07:45:28,921 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getOrganizationByName:2665]eu.trentor

ise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://cka

n-bb1.d4science.org/api/3/action/organization_show?id=stocksandfisherieskb&include_datasets=false  CkanRespons

e{error=Ckan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://c

kan-bb1.d4science.org/api/3/action/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.d

4science.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781652517 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F

ailed to retrieve the organization with namestocksandfisherieskb

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/organization_show?id=stocksandfisherieskb&include_datasets=false  C

kanResponse{error=Ckan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help

=https://ckan-bb1.d4science.org/api/3/action/help_show?name=organization_show}  CkanClient{catalogURL=https://

ckan-bb1.d4science.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

2018-05-18 07:45:28,933 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getGroupByName:2826]eu.trentorise.ope
ndata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://ckan-bb1.d

4science.org/api/3/action/group_show?id=stocksandfisherieskb&include_datasets=false  CkanResponse{error=Ckan e

rror of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4scie

nce.org/api/3/action/help_show?name=group_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org, ckanTok

en=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071) ~[jackan-0.4.2.jar:0.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getGroupByName(DataCatalogueImpl.j

ava:2824) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:120) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781652529 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F

ailed to retrieve the group with namestocksandfisherieskb

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/group_show?id=stocksandfisherieskb&include_datasets=false  CkanResp

onse{error=Ckan error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https:

//ckan-bb1.d4science.org/api/3/action/help_show?name=group_show}  CkanClient{catalogURL=https://ckan-bb1.d4sci

ence.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getGroup(CkanClient.java:1071) ~[jackan-0.4.2.jar:0.4.2]

 from infra-gateway1:

018-05-18 07:41:35,810 INFO  o.g.r.d.i.Helper [http-bio-9090-exec-141,queryAddAuthenticationControl:200][PORTA

L] 3776481177 [http-bio-9090-exec-141] INFO  org.gcube.resources.discovery.icclient.Helper - submitting filter

ed query: 

 declare namespace functx = "http://www.functx.com"; declare function functx:is-value-in-sequence   ( $value a

s xs:anyAtomicType? , $seq as xs:anyAtomicType* )  as xs:boolean { $value = $seq } ; for  $entry0ValueAuth in 

 collection

('/db/Profiles/GenericResource')//Resource/Scopes   where  (functx:is-value-in-sequence('/d4science.research-i

nfrastructures.eu/gCubeApps/BlueBridgeProject',$entry0ValueAuth/child::*[local-name()='Scope']/text()))  and (

 $entry0Val

ueAuth/../Profile/SecondaryType/string() eq 'ApplicationProfile' and  $entry0ValueAuth/../Profile/Name/string(

)  eq 'CkanPortlet' ) return $entry0ValueAuth/..

2018-05-18 07:41:35,856 INFO  cataloguebadge.PortletViewController [RuntimePageImpl-9496,question:78] %07:41:3

5,856 INFO  [RuntimePageImpl-9496][PortletViewController:78] Here I instanciated factory.getUtilsPerScope with

 scope /d4s

cience.research-infrastructures.eu/gCubeApps/BlueBridgeProject

2018-05-18 07:41:36,865 INFO  cataloguebadge.PortletViewController [RuntimePageImpl-9496,question:89] %07:41:3

6,865 INFO  [RuntimePageImpl-9496][PortletViewController:89] Got Statistics ... 

May 18, 2018 7:41:36 AM org.apache.catalina.core.ApplicationDispatcher invoke

SEVERE: Servlet.service() for servlet jsp threw exception

java.lang.IllegalStateException: Page needs a session and none is available

        at org.apache.jasper.runtime.PageContextImpl._initialize(PageContextImpl.java:149)

        at org.apache.jasper.runtime.PageContextImpl.initialize(PageContextImpl.java:126)

        at org.apache.jasper.runtime.JspFactoryImpl.internalGetPageContext(JspFactoryImpl.java:112)

        at org.apache.jasper.runtime.JspFactoryImpl.getPageContext(JspFactoryImpl.java:65)

        at com.liferay.portal.kernel.servlet.JspFactoryWrapper.getPageContext(JspFactoryWrapper.java:63)

        at org.apache.jsp.WEB_002dINF.jsp.Catalogue_002dbadge_002dportlet.view_jsp._jspService(view_jsp.java:5

3)

        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:439)

        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:395)

        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:339)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

        at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.ja

va:116)

        at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java:119)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:748)

        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:604)

        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:543)

        at org.springframework.web.servlet.view.InternalResourceView.renderMergedOutputModel(InternalResourceV

iew.java:229)

        at org.springframework.web.servlet.view.AbstractView.render(AbstractView.java:250)

        at org.springframework.web.servlet.ViewRendererServlet.renderView(ViewRendererServlet.java:114)

        at org.springframework.web.servlet.ViewRendererServlet.processRequest(ViewRendererServlet.java:86)
        at org.springframework.web.servlet.ViewRendererServlet.doGet(ViewRendererServlet.java:66)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:624)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

        at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.ja

va:116)

        at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java:119)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:748)

        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:604)

        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:543)

        at com.liferay.portlet.PortletRequestDispatcherImpl.dispatch(PortletRequestDispatcherImpl.java:331)

        at com.liferay.portlet.PortletRequestDispatcherImpl.include(PortletRequestDispatcherImpl.java:112)

        at org.springframework.web.portlet.DispatcherPortlet.doRender(DispatcherPortlet.java:1137)

        at org.springframework.web.portlet.DispatcherPortlet.render(DispatcherPortlet.java:1092)

        at org.springframework.web.portlet.DispatcherPortlet.doRenderService(DispatcherPortlet.java:755)

        at org.springframework.web.portlet.FrameworkPortlet.processRequest(FrameworkPortlet.java:522)

        at org.springframework.web.portlet.FrameworkPortlet.doDispatch(FrameworkPortlet.java:470)

        at javax.portlet.GenericPortlet.render(GenericPortlet.java:262)

        at com.liferay.portlet.FilterChainImpl.doFilter(FilterChainImpl.java:103)

        at com.liferay.portlet.ScriptDataPortletFilter.doFilter(ScriptDataPortletFilter.java:55)

        at com.liferay.portlet.FilterChainImpl.doFilter(FilterChainImpl.java:100)

        at com.liferay.portal.kernel.portlet.PortletFilterUtil.doFilter(PortletFilterUtil.java:64)

        at com.liferay.portal.kernel.servlet.PortletServlet.service(PortletServlet.java:112)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

        at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.ja

va:116)

        at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java:119)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

     at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:748)

        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:604)

        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:543)

        at com.liferay.portlet.InvokerPortletImpl.invoke(InvokerPortletImpl.java:583)

        at com.liferay.portlet.InvokerPortletImpl.invokeRender(InvokerPortletImpl.java:656)

        at com.liferay.portlet.InvokerPortletImpl.render(InvokerPortletImpl.java:362)

        at org.apache.jsp.html.portal.render_005fportlet_jsp._jspService(render_005fportlet_jsp.java:1239)

        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)

        at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

        at com.liferay.portal.servlet.DirectRequestDispatcher.include(DirectRequestDispatcher.java:57)

        at com.liferay.portal.servlet.ClassLoaderRequestDispatcherWrapper.doDispatch(ClassLoaderRequestDispatc

herWrapper.java:78)

        at com.liferay.portal.servlet.ClassLoaderRequestDispatcherWrapper.include(ClassLoaderRequestDispatcher

Wrapper.java:53)

        at com.liferay.portlet.PortletContainerImpl._doRender(PortletContainerImpl.java:638)

        at com.liferay.portlet.PortletContainerImpl.render(PortletContainerImpl.java:135)

        at com.liferay.portlet.SecurityPortletContainerWrapper.render(SecurityPortletContainerWrapper.java:141

)

        at com.liferay.portlet.RestrictPortletContainerWrapper.render(RestrictPortletContainerWrapper.java:126

)

        at com.liferay.portal.kernel.portlet.PortletContainerUtil.render(PortletContainerUtil.java:156)

        at com.liferay.portal.layoutconfiguration.util.PortletRenderer._render(PortletRenderer.java:125)

        at com.liferay.portal.layoutconfiguration.util.PortletRenderer.access$4(PortletRenderer.java:107)

        at com.liferay.portal.layoutconfiguration.util.PortletRenderer$PortletRendererCallable.doCall(PortletR

enderer.java:180)

        at com.liferay.portal.layoutconfiguration.util.PortletRenderer$PortletRendererCallable.doCall(PortletR

enderer.java:1)

        at com.liferay.portal.kernel.executor.CopyThreadLocalCallable.call(CopyThreadLocalCallable.java:69)

        at java.util.concurrent.FutureTask.run(FutureTask.java:266)

#7 - May 18, 2018 11:49 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Francesco Mangiacrapa

why do you think this is a problem related to IS-Collector service?

#8 - May 18, 2018 03:02 PM - Francesco Mangiacrapa

@roberto.cirillo@isti.cnr.it 
About your comments reported at https://support.d4science.org/issues/11800#note-6

1. logs coming from infra-gateway:

The errors are related to a thread that operates in background to check/set the right role for the user to any organization on CKAN according to role

saved portal-side (i.e. a CATALOGUE_ADMIN must be ADMIN on CKAN and so on etc.)

They do not involve any malfunction of the catalogue (but the errors could be printed as warnings)...

2018-05-18 07:45:27,121 INFO  server.GcubeCkanDataCatalogServiceImpl [http-bio-9090-exec-291,isManageProductEn

abled:552] %07:45:27,121 INFO  [http-bio-9090-exec-291][GcubeCkanDataCatalogServiceImpl:552] Will manage produ

ct be enabl

ed for this user? false

2018-05-18 07:45:27,715 INFO  server.GcubeCkanDataCatalogServiceImpl [http-bio-9090-exec-299,getMyRole:259] %0

7:45:27,715 INFO  [http-bio-9090-exec-299][GcubeCkanDataCatalogServiceImpl:259] Set role MEMBER into session f

or user mas

similiano.assante

2018-05-18 07:45:27,970 INFO  o.g.d.c.s.DataCatalogueImpl [Thread-191874,assignRolesOtherOrganization:2844][PO

RTAL] 3781651566 [Thread-191874] INFO  org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - Requ

est for ass

igning other roles for user massimiliano.assante, whose current role is MEMBER and organization knowledgebridg

ing

2018-05-18 07:45:27,991 ERROR o.g.d.c.s.DataCatalogueImpl [Thread-191874,getOrganizationByName:2665]eu.trentor

ise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: https://cka

n-bb1.d4sci

ence.org/api/3/action/organization_show?id=iccat_bft-e&include_datasets=false  CkanResponse{error=Ckan error o

f type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4science.or

g/api/3/act

ion/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.org, ckanToken=null}

        at eu.trentorise.opendata.jackan.CkanClient.throwCkanException(CkanClient.java:559) ~[jackan-0.4.2.jar

:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getHttp(CkanClient.java:542) ~[jackan-0.4.2.jar:0.4.2]

        at eu.trentorise.opendata.jackan.CkanClient.getOrganization(CkanClient.java:1118) ~[jackan-0.4.2.jar:0

.4.2]

        at org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl.getOrganizationByName(DataCatalogu

eImpl.java:2662) ~[ckan-util-library-2.4.2-4.11.0-165241.jar:na]

        at org.gcube.portlets.gcubeckan.gcubeckandatacatalog.server.thread.AddUserToOrganizationThread.run(Add

UserToOrganizationThread.java:116) [AddUserToOrganizationThread.class:na]

[PORTAL] 3781651587 [Thread-191874] ERROR org.gcube.datacatalogue.ckanutillibrary.server.DataCatalogueImpl - F

ailed to retrieve the organization with nameiccat_bft-e

eu.trentorise.opendata.jackan.exceptions.CkanNotFoundException: Error while performing GET. Request url was: h

ttps://ckan-bb1.d4science.org/api/3/action/organization_show?id=iccat_bft-e&include_datasets=false  CkanRespon

se{error=Ck

an error of type: Not Found Error  message:Not found  Other fields:{}, success=false, help=https://ckan-bb1.d4

science.org/api/3/action/help_show?name=organization_show}  CkanClient{catalogURL=https://ckan-bb1.d4science.o

rg, ckanTok

en=null}

etc...

 2. logs coming from infra-gateway1:

I have no idea why it happens. It seems due to the widget "CatalogueBadge" at class PortletViewController. It could be a library conflict or other.. I

don't know such widget @massimiliano.assante@isti.cnr.it can you check on this?

Googling on potential causes:

"SEVERE: Servlet.service() for servlet jsp threw exception" you can see: 

https://stackoverflow.com/questions/2322031/why-did-servlet-service-for-servlet-jsp-throw-this-exception

"java.lang.IllegalStateException: Page needs a session and none is available" you can see: 

https://web.liferay.com/it/community/forums/-/message_boards/message/34977579

2018-05-18 07:41:35,856 INFO  cataloguebadge.PortletViewController [RuntimePageImpl-9496,question:78] %07:41:3

5,856 INFO  [RuntimePageImpl-9496][PortletViewController:78] Here I instanciated factory.getUtilsPerScope with

 scope /d4s

cience.research-infrastructures.eu/gCubeApps/BlueBridgeProject

2018-05-18 07:41:36,865 INFO  cataloguebadge.PortletViewController [RuntimePageImpl-9496,question:89] %07:41:3

6,865 INFO  [RuntimePageImpl-9496][PortletViewController:89] Got Statistics ... 

May 18, 2018 7:41:36 AM org.apache.catalina.core.ApplicationDispatcher invoke

SEVERE: Servlet.service() for servlet jsp threw exception

java.lang.IllegalStateException: Page needs a session and none is available

        at org.apache.jasper.runtime.PageContextImpl._initialize(PageContextImpl.java:149)

        at org.apache.jasper.runtime.PageContextImpl.initialize(PageContextImpl.java:126)

 Regarding the error reported here: https://support.d4science.org/attachments/2429/Screen%20Shot%202018-05-18%20at%2009.41.22.png
The class involved is 

http://svn.d4science-ii.research-infrastructures.eu/gcube/trunk/portlets/user/gcube-ckan-datacatalog/src/main/java/org/gcube/portlets/gcubeckan/gcub

eckandatacatalog/server/GcubeCkanDataCatalogServiceImpl.java

It is called at init time by the CkanPortlet to get the ckan-connector and other resources.

#9 - May 18, 2018 03:37 PM - Massimiliano Assante

The exception you reported (SEVERE: Servlet.service() for servlet jsp threw exception java.lang.IllegalStateException: Page needs a session and

none is available) is a consequence of the issue and not the cause. The issue is known, not resolved and described here: 

https://issues.liferay.com/browse/LPS-41617 So you can ignore that exception.

The exception is caused by the timeout that occurs when the catalogue badge portlet asks for the statistics through the catalogue library. If the

catalogue library responds with the statics in a decent time you will never see that exception.

#10 - May 18, 2018 04:13 PM - Francesco Mangiacrapa

Massimiliano Assante wrote:

The exception you reported (SEVERE: Servlet.service() for servlet jsp threw exception java.lang.IllegalStateException: Page needs a session

and none is available) is a consequence of the issue and not the cause. The issue is known, not resolved and described here: 

https://issues.liferay.com/browse/LPS-41617 So you can ignore that exception.

The exception is caused by the timeout that occurs when the catalogue badge portlet asks for the statistics through the catalogue library. If the

catalogue library responds with the statics in a decent time you will never see that exception.

 If when the error occurs no exception (i.e. timeout or similar) is printed in the logs, this not help you.

It is needed to understand why (sometimes) the statistics through the catalogue library do not return in a decent time. I'm not responsible/owner for

that component.

However, you can close this incident and open a new ticket dedicated (either "catalogue badge portlet" or "catalogue-libray") to investigate on this

issue.

#11 - May 18, 2018 04:20 PM - Massimiliano Assante

Francesco Mangiacrapa wrote:

Massimiliano Assante wrote:

The exception you reported (SEVERE: Servlet.service() for servlet jsp threw exception java.lang.IllegalStateException: Page needs a

session and none is available) is a consequence of the issue and not the cause. The issue is known, not resolved and described here: 

https://issues.liferay.com/browse/LPS-41617 So you can ignore that exception.

The exception is caused by the timeout that occurs when the catalogue badge portlet asks for the statistics through the catalogue library. If

the catalogue library responds with the statics in a decent time you will never see that exception.

 If when the error occurs no exception (i.e. timeout or similar) is printed in the logs, this not help you.

 If you see the screenshots where the error occurred I was on the Catalogue page and not on the Catalogue widget. So, I logged on the portal, home

page where the catalogue badge is. Saw it wasn't loading (probably it printed the java.lang.IllegalStateException in the logs) moved to the Catalogue

page (https://bluebridge.d4science.org/group/bluebridge-gateway/data-catalogue) and after more than 15/20 seconds I got the error popup from the

catalogue.

Anyhow, trying to connect 2 minutes ago the catalogue took 20/30 seconds to display but no popup shown.

It is needed to understand why (sometimes) the statistics through the catalogue library do not return in a decent time. I'm not responsible/owner

for that component.

However, you can close this incident and open a new ticket dedicated (either "catalogue badge portlet" or "catalogue-libray") to investigate on

this issue.

 Actually since Costa left you are the maintainer of the "catalogue-library" :)

#12 - May 18, 2018 04:35 PM - Massimiliano Assante

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

The issue is related to the fact that the gCubeApps VO Is Collector is overloaded and takes time to respond. please fix this @roberto.cirillo@isti.cnr.it

thanks

Files

May 01, 2025 9/10

http://svn.d4science-ii.research-infrastructures.eu/gcube/trunk/portlets/user/gcube-ckan-datacatalog/src/main/java/org/gcube/portlets/gcubeckan/gcubeckandatacatalog/server/GcubeCkanDataCatalogServiceImpl.java
http://svn.d4science-ii.research-infrastructures.eu/gcube/trunk/portlets/user/gcube-ckan-datacatalog/src/main/java/org/gcube/portlets/gcubeckan/gcubeckandatacatalog/server/GcubeCkanDataCatalogServiceImpl.java
https://issues.liferay.com/browse/LPS-41617
https://issues.liferay.com/browse/LPS-41617
https://issues.liferay.com/browse/LPS-41617
https://bluebridge.d4science.org/group/bluebridge-gateway/data-catalogue


Screen Shot 2018-05-18 at 09.41.22.png 47.5 KB May 18, 2018 Massimiliano Assante

Screen Shot 2018-05-18 at 09.41.15.png 107 KB May 18, 2018 Massimiliano Assante

Powered by TCPDF (www.tcpdf.org)

May 01, 2025 10/10

http://www.tcpdf.org

